import Vue from 'vue'
import Vuex from 'vuex'
import systemTags from './modules/system-tags'
import usrAuth from './modules/usr-auth'
// import goodsTags from './modules/goods-tags'
// import orderTags from './modules/order-manage-tags'
// import financalTags from './modules/financal-tags'
import getters from './getters'

Vue.use(Vuex)

const store = () => {
  console.log('creating the store')
  return new Vuex.Store({
    modules: {
      usrAuth,
      systemTags
    },
    getters
  })
}
export default store
